Foreman - Bug #10586

When /users/login is used as ErrorDocument for 401 with status=401, it does not provide that status
05/22/2015 03:53 AM - Jan Pazdziora

Status: Closed
Priority: Normal
Assignee: Jan Pazdziora
Category: Authentication
Target version: 1.8.2
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2401
Description

This is a followup ti http:/projects.theforeman.org/issues/3475 which was closed by https:/github.com/theforeman/foreman/pull/1253.

We try to be able to use

ErrorDocument 401 /users/login

and we came to the solution of

ErrorDocument 401 /users/login?status=401

because otherwise the resulting status as produced by render is 200 and Kerberos' Negotiate does not kick in. In pull request

https://github.com/theforeman/foreman/pull/1253, we try to handle the parameter status=401 and | thought I've tested it back then but
it does not seem to work -- the status of that request is 200.

Related issues:
Related to Foreman - Bug #3475: When Foreman URL (/users/login) is used as Er... Closed 10/23/2013

Associated revisions

Revision 3196ebaa - 05/22/2015 09:00 AM - Jan Pazdziora

fixes #10586 - make the 401 status comparison actually match.

Revision 7f9dd3fa - 06/15/2015 10:07 AM - Jan Pazdziora

fixes #10586 - make the 401 status comparison actually match.

(cherry picked from commit 3196ebaa009caid79e1330d36a0362b7ca04aade)

History

#1 - 05/22/2015 03:56 AM - Dominic Cleal

- Related to Bug #3475: When Foreman URL (/users/login) is used as ErrorDocument target, status is not preserved added

#2 - 05/22/2015 03:56 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Jan Pazdziora

- Pull request https://github.com/theforeman/foreman/pull/2401 added
- Pull request deleted ()

#3 - 05/22/2015 09:01 AM - Dominic Cleal

- translation missing: en.field_release set to 56

#4 - 05/22/2015 09:03 AM - Jan Pazdziora
http://projects.theforeman.org/issues/3475
https://github.com/theforeman/foreman/pull/1253
https://github.com/theforeman/foreman/pull/1253

- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 31 1d79e1 2b7ca04 .
